<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.GenerateASetOfCustomCertificates']}</h2>
            <h:form id="genCertForm">

                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.CertificateSetGeneration']}</ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="caInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PKICertificateAuthority']}</ui:define>
                            <h:inputText id="caInput" value="#{systemCA.getSubject()}"
                                         styleClass="form-control" disabled="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="contryInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CountryC']})</ui:define>
                            <h:selectOneMenu id="contryInput" styleClass="form-control gzl-select-text" required="true"
                                             value="#{customCertificateGenerator.country}">
                                <f:selectItems value="#{customCertificateGenerator.getCountryItems()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="organizationInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.OrganizationO']})</ui:define>
                            <h:inputText id="organizationInput" value="#{customCertificateGenerator.organization}"
                                         required="true" styleClass="form-control">
                            </h:inputText>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="commonNameInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CommonNameCN']})</ui:define>
                            <h:inputText id="commonNameInput" value="#{customCertificateGenerator.commonName}"
                                         required="true" styleClass="form-control">
                            </h:inputText>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="sanInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SubjectAlternativeNames']}
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                <ui:param name="id" value="errorMessagePopover"/>
                                <ui:define name="content">#{messages['net.ihe.gazelle.atna.InputThePossibleDNSeparatedByAComaexamplecomexam']})</ui:define>
                            </ui:decorate></ui:define>
                            <h:inputText id="sanInput" required="false" value="#{customCertificateGenerator.subjectAltName}"
                                         styleClass="form-control">
                                <rich:placeholder value="*.example.com, *.example2.com,*.example3.com ..."></rich:placeholder>
                            </h:inputText>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.ValidCertificate']}</ui:define>
                            <h:selectBooleanCheckbox value="#{customCertificateGenerator.validCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SelfsignedCertificate']}
                            </ui:define>
                            <h:selectBooleanCheckbox
                                    value="#{customCertificateGenerator.selfSignedCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpiredCertificate']}</ui:define>
                            <h:selectBooleanCheckbox value="#{customCertificateGenerator.expiredCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.UnknownCertificate']}</ui:define>
                            <h:selectBooleanCheckbox value="#{customCertificateGenerator.unknownCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.RevokedCertificate']}</ui:define>
                            <h:selectBooleanCheckbox value="#{customCertificateGenerator.revokedCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CorruptedCertificate']}</ui:define>
                            <h:selectBooleanCheckbox
                                    value="#{customCertificateGenerator.corruptedCertificateRequired}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.WrongKeyCertificate']}</ui:define>
                            <h:selectBooleanCheckbox value="#{customCertificateGenerator.wrongKeyCertificateRequired}"/>
                        </s:decorate>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <a4j:commandButton action="#{customCertificateGenerator.generate()}"
                                           styleClass="gzl-btn-blue"
                                           value="#{messages['net.ihe.gazelle.atna.GenerateCertificates']}"
                                           render="genCertForm"/>
                    </ui:define>
                </ui:decorate>

            </h:form>
        </s:decorate>
    </ui:define>
</ui:composition>
